.input{
  display: inline-flex;
  color: var(--black);
  background-color: transparent;
  border-style: solid;
  border-radius: var(--space-l);
  height: var(--space-l);
  width: var(--space-xl);
  padding: var(--space-m);
  outline: none;
  overflow: hidden;
  text-align: left;
  font-family: var(--font-montserrat);
}

.input:focus{
  border-color: var(--lighter-blue);
}

.input:disabled{
  opacity: var(--opacity-unit);
  cursor: not-allowed;
}

.input--error{
  background: url('https://api.iconify.design/akar-icons/circle-x.svg?color=red') no-repeat 90% var(--lighter-red);
  border-color: var(--lighter-red);
  opacity: var(--opacity-unit);
}

.input--error::placeholder{
  color: var(--darker-red);
  font-weight: bolder;
}

.input--success{
  background: url('https://api.iconify.design/akar-icons/check.svg?color=green') no-repeat 90% var(--green);
  border-color: var(--green);
  opacity: var(--opacity-unit);
}

.input--success::placeholder{
  color: var(--darker-green);
  font-weight: bolder;
}

.input--warning{
  background: url('https://api.iconify.design/akar-icons/circle-x.svg?color=%23e6b64c') no-repeat 95% var(--lighter-yellow);
  border-color: var(--lighter-yellow);
  opacity: var(--opacity-unit);
}

.input--warning::placeholder{
  color: var(--yellow);
  font-weight: bolder;
}
